OBJS-libng := \
	$(srcdir)/libng/grab-ng.o \
	$(srcdir)/libng/devices.o \
	$(srcdir)/libng/writefile.o \
	$(srcdir)/libng/parse-mpeg.o \
	$(srcdir)/libng/parse-dvb.o \
	$(srcdir)/libng/color_common.o \
	$(srcdir)/libng/color_packed.o \
	$(srcdir)/libng/color_lut.o \
	$(srcdir)/libng/color_yuv2rgb.o \
	$(srcdir)/libng/convert.o \
	$(srcdir)/libng/misc.o

TARGET-libng :=	$(srcdir)/libng/libng.so

$(TARGET-libng): $(OBJS-libng)

all::	$(TARGET-libng)

install:: all
	$(INSTALL_PROGRAM) $(TARGET-libng) $(PKGDIR)

clean::
	$(RM) $(TARGET-libng)

ifeq ($(FOUND_JPEG),yes)
$(srcdir)/libng/libng.so:	LDLIBS := $(JPEG_LIBS)
endif

$(srcdir)/libng/libng.so:	$(OBJS-libng)
	$(CC) $(LDFLAGS) -shared -Wl,-soname,$(@F) -o $@ $(OBJS-libng) $(LDLIBS)
