%define name tkv4lng
%define version 0.6
%define release 1

Name: %{name}
Summary: Tcl/Tk video capture widget
Version: %{version}
Release: %{release}
Source: tkv4lng-%{version}.tar.gz
Group: Development/Languages
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(id -u)

%description
Tcl/Tk video capture widget derived from the XAWTV libng library

%prep
%setup -q

%build
%configure
make

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
make install DESTDIR=$RPM_BUILD_ROOT
if test -d $RPM_BUILD_ROOT/%{_libdir}/tcl* ; then
  install -m 644 tcl/*.tcl $RPM_BUILD_ROOT%{_libdir}/tcl*/%{name}*
  echo > file-list '%{_libdir}/tcl*/%{name}*'
else
  install -m 644 tcl/*.tcl $RPM_BUILD_ROOT%{_libdir}/%{name}*
  echo > file-list '%{_libdir}/%{name}*'
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm file-list

%files -f file-list
%defattr(-, root, root)
%doc COPYING

%changelog
* Thu Jul 21 2011 ...
- automatically recreated by configure ...
